![Header](https://raw.githubusercontent.com/poooi/poi/master/assets/img/header.png)

# poi

poi is a scalable browser and tool set for _Kantai Collection_(KanColle).

Key features include:

- Proxy: HTTP, Socks5 and PAC (Experimental)
- Cache, including custom cache
- Data synthesis and analysis
- Notification
- Plugin support for extensive functionalities, [see plugin List](https://github.com/poooi/poi/wiki/List-of-available-plugins)

[![Codacy Badge](https://api.codacy.com/project/badge/Grade/b239a37253a3486c946b047acae5f1ac)](https://www.codacy.com/app/KochiyaOcean/poi?utm_source=github.com&utm_medium=referral&utm_content=poooi/poi&utm_campaign=badger)
[![Dependencies](https://david-dm.org/poooi/poi.svg)](https://david-dm.org/poooi/poi)
[![DevDependencies](https://david-dm.org/poooi/poi/dev-status.svg)](https://david-dm.org/poooi/poi?type=dev)

[![Build Status](https://travis-ci.org/poooi/poi.svg?branch=master)](https://travis-ci.org/poooi/poi)
[![Build status](https://ci.appveyor.com/api/projects/status/apv2xngtej1m17he?svg=true)](https://ci.appveyor.com/project/KochiyaOcean/poi)
[![Azure Pipelines](https://vsrm.dev.azure.com/poooi/_apis/public/Release/badge/5b8293df-7d09-4edf-9f44-ce14e18b1701/1/1)](https://dev.azure.com/poooi/poi/_build)

[![Backers on Open Collective](https://opencollective.com/poi/backers/badge.svg)](#backers)
[![Sponsors on Open Collective](https://opencollective.com/poi/sponsors/badge.svg)](#sponsors)
[![license:mit](https://img.shields.io/badge/license-mit-blue.svg)](https://opensource.org/licenses/MIT)

## Screenshots

![Preview 1](https://user-images.githubusercontent.com/3816900/58731579-ae9fb480-8421-11e9-8a28-f7002f84c0ae.png)

[More screenshots are available here](https://github.com/poooi/poi/wiki/Screenshots)

## Installation

[GitHub release](https://github.com/poooi/poi/releases)

[TAONPM (CN Mainland)](https://npm.taobao.org/mirrors/poi).

### Community maintained releases (unofficial)

| Platform                                                    | Maintainer            | Instruction                                             |
| ----------------------------------------------------------- | --------------------- | ------------------------------------------------------- |
| AUR / Arch Linux                                            | @swordfeng            | see [AUR page](https://aur.archlinux.org/packages/poi/) |
| Homebrew Cask / macOS                                       | @darg20127            | `brew update && brew cask install poi`                  |
| [Chocolatey / Windows](https://chocolatey.org/packages/poi) | @chocolatey and @drel | `choco install poi`                                     |

### Nightlies

- Windows nightlies are hosted on [Appveyor](https://ci.appveyor.com/project/KochiyaOcean/poi),
- Linux and macOS nightlies are [available here](https://nightly.poi.moe/).

Please note that artifacts could be periodically emptied.

### Starting from this repository

```shell
git clone https://github.com/poooi/poi && cd poi
npm install
npm start
```

[For more details see here](https://github.com/poooi/poi/wiki/StartingRunFromThisRepo)

## Development

### Libraries backing poi

- [Electron](https://electronjs.org/)
- [React](https://reactjs.org/)
- [Blueprint](https://blueprintjs.com/)
- [Redux](https://redux.js.org/)

### Documentation

On plugin development, the [docs are available in English](<(https://dev.poooi.app)>).

## Contact us

Bug reports, suggestions, ideas, pull requests, and devs are always welcome :)

Please feel free to contact us via:

- [github issues](https://github.com/poooi/poi/issues)
- [telegram group](https://telegram.me/joinchat/AoMUpkCr6B8uH7EUewq6eQ) for Chinese speaking user
- [#poi-viewer channel](https://discordapp.com/channels/118339803660943369/367575898313981952) under `/r/kancolle` discord for world wide user, [How to join](https://github.com/poooi/poi/issues/1596)
- [QQ group](https://jq.qq.com/?_wv=1027&k=5MRX31j)
- [Sina Weibo](http://weibo.com/letspoi)
- or anything else.

## Contributors

This project exists thanks to all the people who contribute.
<a href="//github.com/poooi/poi/graphs/contributors"><img src="https://poooi.github.io/contributors/graph.svg" /></a>

## Backers

Thank you to all our backers! 🙏 [[Become a backer](https://opencollective.com/poi#backer)]

<a href="https://opencollective.com/poi#backers" target="_blank"><img src="https://opencollective.com/poi/backers.svg?width=890"></a>

## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. [[Become a sponsor](https://opencollective.com/poi#sponsor)]

<a href="https://opencollective.com/poi/sponsor/0/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/1/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/2/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/3/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/4/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/5/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/6/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/7/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/8/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/poi/sponsor/9/website" target="_blank"><img src="https://opencollective.com/poi/sponsor/9/avatar.svg"></a>

## License

[The MIT License](https://github.com/poooi/poi/blob/master/LICENSE)

NOTE: THE SOFTWARE ICON AND SVG ICONS IS NOT LICENSED BY MIT AND COULD NOT BE USED
IN PROJECTS NOT ASSOCIATED WITH POI.
